
Infrastructure - Bug #1120

D1Node.java sendRequest error wrt InputOutputStream

2010-11-23 18:51 - Rob Nahf

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee: Chad Berkley % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2010.48   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2010-11-23 18:57 - Rob Nahf

- Category set to d1_libclient_java

- Priority changed from Normal to Urgent

- Assignee set to Chad Berkley

D1_integration tests are failing at a common point inside sendRequest() --> IOUtils.copy(datastream, out).  In debug mode, variable "out" appears to

be devoid of any content data before going into the IOUtils.copy() method,  but that may be normal for a stream.  Below are details from the run:

***************** running test for testCreateData - node http://cn-dev.dataone.org/knb/ *****************

restURL: http://cn-dev.dataone.org/knb/session/?qformat=xml&op=login

method: POST

restURL: http://cn-dev.dataone.org/knb/object/knb:testid:2010327104823509?sessionid=9E4B870854E1E213354CF51593EC07C7

method: POST

java.io.IOException: Exception producing data

at com.gc.iotools.stream.is.InputStreamFromOutputStream.checkException(InputStreamFromOutputStream.java:366)

at com.gc.iotools.stream.is.InputStreamFromOutputStream.read(InputStreamFromOutputStream.java:486)

at java.io.InputStream.read(InputStream.java:85)

at org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:1025)

at org.apache.commons.io.IOUtils.copy(IOUtils.java:999)

at org.dataone.client.D1Node.sendRequest(D1Node.java:329)

at org.dataone.client.MNode.handleCreateOrUpdate(MNode.java:557)

at org.dataone.client.MNode.create(MNode.java:261)

at org.dataone.integration.D1ClientTest.testCreateData(D1ClientTest.java:719)

#2 - 2010-11-23 19:22 - Rob Nahf

by the way, this against a newly deployed cn-buildout on cn-dev.  The upgrade completed without warnings or errors.  The access request returned

successfully immediately preceding, so metacat is up.
#3 - 2010-11-30 18:17 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2010.47 to Sprint-2010.48

- Position deleted (12)

#4 - 2010-11-30 23:54 - Chad Berkley

- Status changed from New to Closed

- % Done changed from 0 to 100

All d1client/d1integration tests are now passing.  I'm updating cn-buildout with a new knb.war file.  update cn-dev then let me know if you still see

issues.

#5 - 2010-12-02 16:50 - Rob Nahf

I'm still finding issues in MN.create() when escaped characters are in the identifier.  I created a new test in d1_integration's D1ClientTest.java

(testCreateData_UnicodeIdentifier() ) to help debug. 
